package main

import (
	"git.entr0py.de/garionion/murphy/scanner"
	"git.entr0py.de/garionion/murphy/store"
	"github.com/mehdioa/nlog"
	"sync"
)

var log *nlog.Logger

const source = "/mnt/clarkson"

func main() {
	formatter := nlog.NewTextFormatter(true, true)
	log = nlog.NewLogger(nlog.DebugLevel, formatter)

	s := store.NewStore(log)

	scanner.InitScanner(s, source)

	wg := new(sync.WaitGroup)
	wg.Add(2)
	wg.Wait()
}
